unit Test1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ActnList, ImgList, ComCtrls, ToolWin, ExtCtrls, Grids, DBGrids, Db,
  DBTables, DBGridPrint, Printers;

type
  TForm1 = class(TForm)
    Table1: TTable;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    ControlBar1: TControlBar;
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    ImageList1: TImageList;
    ActionList1: TActionList;
    ActionExit: TAction;
    ActionPrintPreview: TAction;
    ActionPrint: TAction;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    ToolButton4: TToolButton;
    procedure ActionExitExecute(Sender: TObject);
    procedure ActionPrintPreviewExecute(Sender: TObject);
    procedure ActionPrintExecute(Sender: TObject);
  private
    { Private declarations }
    DBGridPrint : TDBGridPrint;
    Procedure DoPrint(lPreview : Boolean);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.ActionExitExecute(Sender: TObject);
begin
  Close;
end;

Procedure TForm1.DoPrint(lPreview : Boolean);
Var
  cName : String;
Begin
  cName := 'Test ' + IntToStr(Random(100)) + '.html';
  DBGridPrint             := TDbGridPrint.Create(Form1);  // Create object...
  DBGridPrint.DBGrid      := DBGrid1;                     // GridName
  DBGridPrint.FileName    := cName;                       // Outputfilename
  DBGridPrint.Orientation := poPortrait;                  // Can be "poLandscape" also, see "Printers.pas"...
  DBGridPrint.Preview     := lPreview;                    // Preview to screen
  DBGridPrint.Titel       := 'Print HTMLDEMO - ' + cName; // Titel on paper/screen
  DBGridPrint.Execute;                                    // Go...
end;

procedure TForm1.ActionPrintPreviewExecute(Sender: TObject);
begin
  DoPrint(TRUE);
end;

procedure TForm1.ActionPrintExecute(Sender: TObject);
begin
  DoPrint(FALSE);
end;

end.
